diff --git a/modules/workflows/methods/methodAi/actions/process.py b/modules/workflows/methods/methodAi/actions/process.py
index c76ce35e..ee1079fb 100644
--- a/modules/workflows/methods/methodAi/actions/process.py
+++ b/modules/workflows/methods/methodAi/actions/process.py
@@ -44,12 +44,18 @@ async def process(self, parameters: Dict[str, Any]) -> ActionResult:
         # Convert to DocumentReferenceList if needed
         if documentListParam is None:
             documentList = DocumentReferenceList(references=[])
+            logger.debug(f"ai.process: documentList is None, using empty DocumentReferenceList")
         elif isinstance(documentListParam, DocumentReferenceList):
             documentList = documentListParam
+            logger.info(f"ai.process: Received DocumentReferenceList with {len(documentList.references)} references")
+            for idx, ref in enumerate(documentList.references):
+                logger.info(f"  Reference {idx + 1}: documentId={ref.documentId}, type={type(ref).__name__}")
         elif isinstance(documentListParam, str):
             documentList = DocumentReferenceList.from_string_list([documentListParam])
+            logger.info(f"ai.process: Converted string to DocumentReferenceList with {len(documentList.references)} references")
         elif isinstance(documentListParam, list):
             documentList = DocumentReferenceList.from_string_list(documentListParam)
+            logger.info(f"ai.process: Converted list to DocumentReferenceList with {len(documentList.references)} references")
         else:
             logger.error(f"Invalid documentList type: {type(documentListParam)}")
             documentList = DocumentReferenceList(references=[])
@@ -152,9 +158,16 @@ async def process(self, parameters: Dict[str, Any]) -> ActionResult:
             )
         else:
             # Full mode: use unified callAiContent method
+            # For document generation (xlsx, docx, pdf, etc.), use DATA_GENERATE with document intent
+            from modules.datamodels.datamodelAi import OperationTypeEnum
+            
+            # Always use DATA_GENERATE with document intent for ai.process
+            # This ensures proper document generation pipeline is used
             options = AiCallOptions(
-                resultFormat=output_format
+                resultFormat=output_format,
+                operationType=OperationTypeEnum.DATA_GENERATE
             )
+            generation_intent = "document"
 
             # Update progress - calling AI
             self.services.chat.progressLogUpdate(operationId, 0.6, "Calling AI")
@@ -171,17 +184,23 @@ async def process(self, parameters: Dict[str, Any]) -> ActionResult:
                     options=options,
                     contentParts=contentParts,  # Pre-extracted ContentParts
                     outputFormat=output_format,
-                    parentOperationId=operationId
+                    parentOperationId=operationId,
+                    generationIntent=generation_intent
                 )
             else:
                 # Pass documentList - callAiContent handles Phases 5A-5E internally
                 # This includes automatic detection of ContentExtracted documents
+                logger.info(f"ai.process: Calling callAiContent with {len(documentList.references)} document references")
+                if documentList.references:
+                    for idx, ref in enumerate(documentList.references):
+                        logger.info(f"  Passing reference {idx + 1}: documentId={ref.documentId}")
                 aiResponse = await self.services.ai.callAiContent(
                     prompt=aiPrompt,
                     options=options,
                     documentList=documentList,  # callAiContent macht Phasen 5A-5E
                     outputFormat=output_format,
-                    parentOperationId=operationId
+                    parentOperationId=operationId,
+                    generationIntent=generation_intent
                 )
         
         # Update progress - processing result

